[riot-notifications] [RIOT-OS/RIOT] pkg/uwb*: add Kconfig dependency modelling (#16780)

Francisco notifications at github.com
Fri Sep 10 14:43:28 CEST 2021


@fjmolinas commented on this pull request.



> +choice
+    bool "Backend"
+    depends on MODULE_NETDEV_DEFAULT
+    default NRF802154
+    default NRFBLE
+
+config NRF802154
+    bool "nrf802154"
+    select MODULE_NRF802154
+
+config NRFBLE
+    bool "nrfble"
+    select MODULE_NRFBLE
+
+config NRFMIN
+    bool "nrfmin"
+    select MODULE_NRFMIN
+
+endchoice

>  I think we may be missing some driver switch?

Can you explain more?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/RIOT-OS/RIOT/pull/16780#discussion_r706149409
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.riot-os.org/pipermail/notifications/attachments/20210910/3d745ec8/attachment.htm>


More information about the notifications mailing list